Name:    tomb
Version: 2.8
Release: 1%{?dist}
Summary: Encrypted volume management

License:   GPLv3
URL:       https://www.dyne.org/software/tomb/
Source0:   https://files.dyne.org/%{name}/releases/Tomb-%{version}.tar.gz
Patch0:    tomb-do-not-use-usr-env.patch
BuildArch: noarch

Requires: zsh
Requires: sudo
Requires: gnupg
Requires: cryptsetup
Requires: pinentry-curses

%description
Tomb is a 100% free and open source system for file encryption
on GNU/Linux, facilitating the backup of secret files. Tomb
generates encrypted storage folders to be opened and closed
using their associated key-files, which are also protected
with a password chosen by the user

%prep
%autosetup -n Tomb-%{version}

%build
# rpmlint throws a warning without a build section

%install
%make_install PREFIX=%{_prefix}

%files
%{_bindir}/tomb
%license COPYING.txt
%doc %{_mandir}/man1/*
%doc doc/HACKING.txt

%changelog
* Tue Nov 24 2020 Blaine Story <blaine@blainestory.com> 2.8-1
- Bump to new upstream version
- Full details here: https://files.dyne.org/tomb/ChangeLog.txt

* Thu Oct 17 2019 Blaine Story <blaine@blainestory.com> 2.7-1
- Bump to new upstream version
- Full details here: https://files.dyne.org/tomb/ChangeLog.txt

* Sat Jun 08 2019 Blaine Story <theblainestory@gmail.com> 2.6-1
- Bump to new upstream version.
- Full details here: https://files.dyne.org/tomb/ChangeLog.txt

* Wed Jan 17 2018 Blaine Story <theblainestory@gmail.com> 2.5-4
- Specified documentation files

* Wed Jan 17 2018 Blaine Story <theblainestory@gmail.com> 2.5-3
- Fix SPEC file for eventual inclusion in Fedora repos.
- https://bugzilla.redhat.com/show_bug.cgi?id=1535384

* Wed Jan 17 2018 Blaine Story <theblainestory@gmail.com> 2.5-2
- Add patch to use full shell path instead of /usr/bin/env which isn't allowed.

* Thu Jan 11 2018 Blaine Story <theblainestory@gmail.com> 2.5-1
- Bump to new upstream version.
- Full details here: https://files.dyne.org/tomb/ChangeLog.txt

* Wed Sep 13 2017 Blaine Story <theblainestory@gmail.com> 2.4-1
- Initial copr build for 2.4

